# asyncmacro

Dark Mode

- Manual
- Standard library
- Index
- devel, stable

Search:
Group by:

`asyncdispatch` module depends on the `asyncmacro` module to work properly.

# Imports

macros, strutils, asyncfutures

# Procs

    proc await[T](x: T)

  The 'await' keyword is also defined here for technical reasons. (Generic symbol lookup prepass.) Source Edit

# Macros

    macro async(prc: untyped): untyped

  Macro which processes async procedures into the appropriate iterators and yield statements. Source Edit

    macro multisync(prc: untyped): untyped

  Macro which processes async procedures into both asynchronous and synchronous procedures.

  The generated async procedures use the `async` macro, whereas the generated synchronous procedures simply strip off the `await` calls.

  Source Edit